@mixin animButton($direction) {
    display: inline-block;
    padding: 10px;
    position: relative;
    overflow: hidden;

    span{
        display: block;
        transform: translateY(0);
        transition: all .5s ease;
    }

    i.fa{
        position: absolute;
        font-size: 28px;
    }

    @if ($direction == "leftToRight") {
        i{
            bottom: calc(50% - 14px);
            left: -100%;
        }

        &:hover{
            span{
                transform: translateX(110%);
            }
            i{left: calc(50% - 12px);}
        }
    }

    @elseif ($direction == "rightToLeft") {
        i{
            bottom: calc(50% - 14px);
            left: 100%;
        }

        &:hover{
            span{
                transform: translateX(-110%);
            }
            i{left: calc(50% - 12px);}
        }
    }

    // Sinon, $shadow prendra les valeurs
    @else {
        i.fa{
            bottom: -40px;
            left: calc(50% - 12px);
        }

        &:hover{
            span{transform: translateY(-40px);}
            i{
                bottom: calc(50% - 14px);
                left: calc(50% - 12px);
            }
        }
    }
}

// BUTTON
.btn:not(:disabled):not(.disabled):not(.btn-link):active,
.btn:not(:disabled):not(.disabled):not(.btn-link):active:focus,
.btn:not(:disabled):not(.disabled):not(.btn-link):focus,
.btn:not(:disabled):not(.disabled):not(.btn-link):hover{
    box-shadow: none;
}
// .btn-primary, .btn-primary:hover,
// .btn-primary:not(:disabled):not(.disabled):active,
// .btn-primary:not(:disabled):not(.disabled):active:focus{
//     background-color: lighten($col_pink, 25%)
// }

.btn{
    border-radius: 0;
    border: 0;
    box-shadow: none;
    &.btn-primary{
        background-color: $col_pink;
    }
}

// LINK HOVER EFFECT
td.actions a,
.form-actions a,
.btn.action-save,
.btn.action-connexion,
.button-action a,
.pagination a{
    // display: inline-block;
    // padding: 10px;
    // position: relative;
    // overflow: hidden;
    //
    // i.fa{
    //     position: absolute;
    //     bottom: -40px;
    //     left: calc(50% - 12px);
    //     font-size: 28px;
    // }
    // span{
    //     display: block;
    //     transform: translateY(0);
    //     transition: all .5s ease;
    // }
    //
    // &:hover{
    //     span{transform: translateY(-40px);}
    //     i{
    //         bottom: calc(50% - 14px);
    //         left: calc(50% - 12px);
    //     }
    // }

    &.action-edit,
    &.action-delete,
    &.action-list,
    &.action-save,
    &.action-connexion,
    &.action-new{
        span,
        i{color: white !important;}
    }

    // &.action-edit,
    // &.action-save,
    // &.action-save:not(:disabled):not(.disabled):not(.btn-link):active,
    // &.action-save:not(:disabled):not(.disabled):not(.btn-link):active:focus,
    // &.action-save:not(:disabled):not(.disabled):not(.btn-link):focus{
    //     @include linkHover(#3a9e0c);
    // }

    // &.action-new,
    // &.action-connexion,
    // &.action-new:not(:disabled):not(.disabled):not(.btn-link):active,
    // &.action-new:not(:disabled):not(.disabled):not(.btn-link):active:focus,
    // &.action-new:not(:disabled):not(.disabled):not(.btn-link):focus{
    //     @include linkHover($col_pink);
    //     padding: 4px;
    // }

    // &.action-delete{
    //     @include linkHover(#c71313);
    // }

    &.action-list,
    &.action-connexion{
        i{
            bottom: calc(50% - 14px);
            left: -100%;
        }
    }
    &.action-list:hover,
    &.action-connexion:hover{
        span{
            transform: translateX(110%);
        }
        i{left: calc(50% - 12px);}
    }

    &.action-list{
        @include linkHover(#12769c);
        span{
            padding-right: 10px;
        }
    }

    &.action-connexion{
        padding: 10px;
    }
}

td.actions a,
.form-actions a,
.btn.action-save,
.btn.action-connexion,
.button-action a,
.pagination a{

    &.action-edit:not(:disabled),
    &.action-save:not(:disabled){
        @include linkHover(#3a9e0c);
        @include animButton('up');
    }

    &.action-new:not(:disabled),
    &.action-new:not(:disabled):not(.disabled):not(.btn-link):active,
    &.action-new:not(:disabled):not(.disabled):not(.btn-link):active:focus,
    &.action-new:not(:disabled):not(.disabled):not(.btn-link):focus{
        @include linkHover($col_pink);
        @include animButton('up');
        padding: 4px;
    }

    &.action-delete{
        @include linkHover(#c71313);
        @include animButton('up');
    }

    &.action-connexion{
        @include linkHover($col_pink);
        @include animButton('leftToRight');
    }

    &.action-list{
        @include linkHover(#12769c);
        @include animButton('leftToRight');
        span{
            padding-right: 10px;
        }
    }
}
